Page MenuHomePhabricator

Automatically export translations from translatewiki.net
Closed, ResolvedPublic

Description

Hi this is a feature suggestion for the translation bot to upload translations automatically so that it makes it less work for the translation team.

Outcome

Non-MediaWiki translations are automatically pushed to software repositories at scheduled times. Additional safeguards and monitoring was implemented to ensure exports are safe and that translation admins will notice if they are not working. Automation makes export schedule consistent and predictable and frees up translation admin time for other activities.

Event Timeline

Paladox raised the priority of this task from to Needs Triage.
Paladox updated the task description. (Show Details)
Paladox added a project: translatewiki.net.

There is already a bug for this, but it's impossible to find it in Phabricator. I'll try to find it when the bugzilla search is restored.

Aklapper renamed this task from [FEATURE SUGGESTION] Automatically upload translation daily without needing the translation team to do it to Automatically upload translation daily without needing the translation team to do it.Jun 25 2015, 3:19 PM
Aklapper set Security to None.

Anyway, this is a long term goal which is currently prototyped at http://intense.wmflabs.org/.

Nemo_bis renamed this task from Automatically upload translation daily without needing the translation team to do it to Automatically export translations daily without needing the TWN staff to do it.Jul 1 2015, 5:33 AM

Basically, what is left is to implement T182433: Implement a stronger synchronization in RepoNG and Translate.

We recently had an issue that L10n-bot updated qqq.json by removing new messages added by a developer in an earlier patch. Our simple chronology protector takes care of that most of the time, but our JobQueue was stuck this time, so the assumption that it is safe to commit a patch on top of the current commit we have in read-only clones was broken. The stronger synchronization is about not using that assumption, but rather more explicit import state tracking.

We now have strong synchronization in place. Niklas and I had some discussion regarding what we can be done next to get to fully automated imports / exports.

We would like to have a IRC ping when exports / imports are run, and an email with the output of the command. systemd will be used to trigger the commands periodically and will write output to a log file. A wrapper script (possibly named exec-and-notify) that will trigger the command, then notify on IRC and email. If the command run by the wrapper script has a non-zero exit code, the email sent should have a subject prefix - FAILED:

When exporting mediawiki today:

raymond@web2:~$ autoexport-mediawiki
chmod: changing permissions of '/tmp/sync.lock': Operation not permitted

Change 702074 had a related patch set uploaded (by Nikerabbit; author: Nikerabbit):

[translatewiki@master] Add execute-and-notify

https://gerrit.wikimedia.org/r/702074

Change 702077 had a related patch set uploaded (by Nikerabbit; author: Nikerabbit):

[translatewiki@master] Add systemd timer for autoexport

https://gerrit.wikimedia.org/r/702077

Nikerabbit raised the priority of this task from Low to Medium.Jun 29 2021, 10:51 AM

Change 702074 merged by jenkins-bot:

[translatewiki@master] Add execute-and-notify

https://gerrit.wikimedia.org/r/702074

Change 702077 merged by jenkins-bot:

[translatewiki@master] Add systemd timer for autoexport

https://gerrit.wikimedia.org/r/702077

Nikerabbit renamed this task from Automatically export translations daily without needing the TWN staff to do it to Automatically export translations from translatewiki.net.Mon, Jul 12, 7:09 AM
Nikerabbit closed this task as Resolved.
Nikerabbit updated the task description. (Show Details)